| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::NotFilter Class Reference
Utililty classes

The NotFilter class provides a generic filter object to be used in conjunction of other filters. More...

`#include <TelepathyQt/NotFilter>`

Inherits Tp::Filter< T >.

List of all members.

## Public Member Functions

- virtual ~NotFilter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const
- SharedPtr< const Filter< T > > filter () const

## Static Public Member Functions

- static SharedPtr< NotFilter< T > > create (const SharedPtr< const Filter< T > > &filter=SharedPtr< const Filter< T > >())

## Detailed Description

The NotFilter class provides a generic filter object to be used in conjunction of other filters.

The NotFilter will match if its given filter does not match its criteria.

## Constructor & Destructor Documentation

virtual Tp::NotFilter::~NotFilter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

static SharedPtr<NotFilter<T> > Tp::NotFilter::create | ( | const SharedPtr< const Filter< T > > & | filter = `SharedPtr<const Filter<T> >()` | ) | `[inline, static]`

virtual bool Tp::NotFilter::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

virtual bool Tp::NotFilter::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

SharedPtr<const Filter<T> > Tp::NotFilter::filter | ( |  | ) | const`[inline]`